# $Revision: 1.19 $, $Date: 2004/08/17 19:42:29 $
Summary:	The userland tools of the openMosix-system
Summary(pl):	Narzdzia przestrzeni uytkownika dla openMosiksa
Name:		openmosix-tools
%define	ver	0.3.6
%define	subver	2
Version:	%{ver}.%{subver}
Release:	3
License:	GPL
Group:		Base/Kernel
Source0:	http://heanet.dl.sourceforge.net/openmosix/%{name}-%{ver}-%{subver}.tar.gz
# Source0-md5:	e947c622b945fda7f24a949b73ba5280
Source1:	openmosix.init
Source2:	openmosix.sysconfig
Patch0:		%{name}-source_path.patch
URL:		http://openmosix.sourceforge.net/
BuildRequires:	kernel-mosix-headers >= 2.4.22-4.1
BuildRequires:	ncurses-devel
ExclusiveArch:	%{ix86}
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		kmosix_ver	2.4.22
%define		_kernelsrcdir	/usr/src/linux-%{kmosix_ver}
%define		_bindir		/bin
%define		_sbindir	/sbin
%define		_libdir		/%{_lib}

%description
openMosix is a Linux kernel extension for single-system image
clustering. This package contains the necessary user-land tools for an
openMosix cluster. It also contains openMosix versions of ps and top
(mps and mtop) that has an additional column which shows on what node
the processes are running.

%description -l pl
openMosix to rozszerzenie jdra Linuksa o klastowanie odwzorowujce
pojedynczy system. Ten pakiet zawiera narzdzia przestrzeni
uytkownika potrzebne dla klastrw openMosix. Zawiera take
openmosiksowe wersje narzdzi ps i top (mps i mtop), majce dodatkow
kolumn, w ktrej pokazywany jest wze, na ktrym dziaa proces.

%package devel
Summary:	openMosix headers files
Summary(pl):	Pliki nagwkowe openMosiksa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description devel
openMosix heades files.

%description devel -l pl
Pliki nagwkowe openMosiksa.

%package static
Summary:	Static openMosix libraries
Summary(pl):	Biblioteki statyczne do openMosiksa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static openMosix libraries.

%description static -l pl
Biblioteki statyczne do openMosiksa.

%prep
%setup -q -n %{name}-%{ver}-%{subver}

%patch0 -p1

%build
CPPFLAGS="-I/usr/include/ncurses"
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	--enable-rpmbuild \
	--with-kerneldir=%{_kernelsrcdir} \
	--with-sysvdir=%{_initrddir}

%{__make} \
	all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT/etc/rc.d/init.d/openmosix
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/openmosix
install -d $RPM_BUILD_ROOT/etc/sysconfig
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/openmosix

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ "$1" = "1" ] ; then
	/sbin/chkconfig --add openmosix
	echo -e "\nEdit /etc/openmosix.map if you don't want to use the autodiscovery daemon.\n"
fi

%preun
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del openmosix
fi

%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openmosix.map
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/openmosix
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
#%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(754,root,root) %{_initrddir}/openmosix
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openmosix-tools.spec,v $
Revision 1.19  2004/08/17 19:42:29  havner
- rel 3

Revision 1.18  2004/08/17 19:36:31  ankry
- BA noe necessary, rel. 2

Revision 1.17  2004/08/17 19:33:44  misi3k
- BE/EA

Revision 1.16  2004/08/17 16:34:05  misi3k
- rel 1
Note: BUILDS & WORKS

Revision 1.15  2004/08/17 05:42:58  misi3k
- br kernel-mosix-headers >= 2.4.22-4.1

Revision 1.14  2004/08/17 04:38:32  misi3k
- rel 0.9
- fix signal.h path in mps
- added ac/am
Note: 1time builds with kernel-mosix

Revision 1.13  2004/08/09 14:07:19  hawk
- updated to 0.3.6-2, added vars to allow correct version numbering
- added sysconfig file (with auto discovery option, enabled by default)
- builds and works

Revision 1.12  2004/07/29 22:03:54  qboosh
- fixed libdir, strict internal deps

Revision 1.11  2004/05/13 17:43:09  ankry
- spaces -> tabs, other cosmetics

Revision 1.10  2004/02/14 19:02:55  misi3k
- rel 0.9
- added pld style init file
- clean up

Revision 1.9  2003/10/19 00:07:38  qboosh
- added missing defattr

Revision 1.8  2003/10/18 05:59:36  ankry
- pl fixes

Revision 1.7  2003/10/18 00:37:40  misi3k
- rel 0.2
Note: Builds & Works

Revision 1.6  2003/08/18 08:08:23  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/07/06 13:02:59  misi3k
- removed R: perl-base

Revision 1.4  2003/07/06 13:01:37  misi3k
- post & preun cleanup

Revision 1.3  2003/07/01 14:58:02  qboosh
- added md5, fixed build

Revision 1.2  2003/06/28 00:18:20  qboosh
- pl, some cleanups

Revision 1.1  2003/06/24 12:58:26  misi3k
- almost raw import
